Skip to content

Delete API key

DELETE/v1/api-keys/delete/

Revoke and delete one of your API keys by name.

Query parameters

  • namestringRequired

    The unique key name to delete (per user).

Returns

200 with a JSON object.

Show response attributesHide response attributes
  • namestringRequired
  • uidstring or nullRequired
  • create_timestring or nullRequired
  • update_timestring or nullRequired
  • delete_timestring or nullRequired
  • detailstringRequired

Errors

Every error has the same JSON body. See Errors for the error codes and when to retry.

  • 400Bad Request
  • 401Unauthorized
  • 403Forbidden
  • 404Not Found
  • 409Conflict
  • 410Gone
  • 413Request Entity Too Large
  • 422Unprocessable Entity
  • 429Too Many Requests
  • 500Internal Server Error